summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMartin von Gagern <Martin.vGagern@gmx.net>2010-02-20 10:54:55 +0100
committerMartin von Gagern <Martin.vGagern@gmx.net>2010-02-20 10:54:55 +0100
commitc2d1b7be88d86b6a458b43ff36317659a8145c1c (patch)
treec7968970244a1bf6c03789d0a440a1b29a6e23ab /eclass
parent[kde.eclass] Don't call base_src_unpack. (diff)
downloadkde-sunset-c2d1b7be88d86b6a458b43ff36317659a8145c1c.tar.gz
kde-sunset-c2d1b7be88d86b6a458b43ff36317659a8145c1c.tar.bz2
kde-sunset-c2d1b7be88d86b6a458b43ff36317659a8145c1c.zip
[kde.eclass] Abandon stages support.
Back in the old days, one could call kde_src_unpack and pass along an argument indicating the stage to be run. kde_src_unpack would then execute the corresponding base_src_unpack stage. As base.eclass no longer uses this kind of stages, kde.eclass shouldn't rely on them either.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kde.eclass8
1 files changed, 2 insertions, 6 deletions
diff --git a/eclass/kde.eclass b/eclass/kde.eclass
index 88cb03df..f90a1b97 100644
--- a/eclass/kde.eclass
+++ b/eclass/kde.eclass
@@ -142,7 +142,8 @@ kde_src_unpack() {
[[ -z "${KDE_S}" ]] && KDE_S="${S}"
local PATCHDIR="${WORKDIR}/patches/"
- if [[ -z "$@" ]] ; then
+ [[ -z "$*" ]] || die "$FUNCNAME no longer supports stages."
+
# Unpack first and deal with KDE patches after examing possible patch sets.
# To be picked up, patches need to be named $PN-$PV-*{diff,patch} and be
# placed in $PATCHDIR. Monolithic ebuilds will use the split ebuild patches.
@@ -174,11 +175,6 @@ kde_src_unpack() {
case ${EAPI:-0} in
0|1) base_src_prepare ;;
esac
- else
- # Call base_src_unpack, which has sections, to do unpacking and patching
- # step by step transparently as defined in the ebuild.
- base_src_unpack "$@"
- fi
# if extragear-like packaging is enabled, set the translations and the
# documentation depending on LINGUAS settings